Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class Document

    java.lang.Object
      org.apache.lucene.document.Document

All Implemented Interfaces:
  Serializable

public final class Document
extends Object
implements Serializable

Documents are the unit of indexing and search. A Document is a set of fields. Each field has a name and a textual value. A field may be `stored` with the document, in which case it is returned with search hits on the document. Thus each document should typically contain one or more stored fields which uniquely identify it.

Note that fields which are not `stored` are not available in documents retrieved from the index, e.g. with `Hits.doc(int)`, `Searchable.doc(int)` or `IndexReader.document(int)`.

See Also:
  Serialized Form

Constructor Summary
`Document()` Constructs a new document with no fields.

Method Summary
`void` | `add(Field field)` Adds a field to a document.
`Enumeration` | `fields()` Returns an Enumeration of all the fields in a document.
`String` | `get(String name)` Returns the string value of the field with the given name if any exist in this document, or null.
`float` | `getBoost()` Returns the boost factor for hits on any field of this document.
`Field` | `getField(String name)` Returns a field with the given name if any exist in this document, or null.
`Field[]` | `getFields(String name)` Returns an array of `Field`s with the given name.
`String[]` | `getValues(String name)` Returns an array of values of the field specified as the method parameter.
`void` | `removeField(String name)` Removes field with the specified name from the document.
`void` | `removeFields(String name)` Removes all fields with the given name from the document.
`void` | `setBoost(float boost)` Sets a boost factor for hits on any field of this document.
`String` | `toString()` Prints the fields of a document for human consumption.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Document

    public Document()

  Constructs a new document with no fields.

Method Detail

### setBoost

    public void setBoost(float boost)

  Sets a boost factor for hits on any field of this document. This value will be multiplied into the score of all hits on this document.

  Values are multiplied into the value of `Field.getBoost()` of each field in this document. Thus, this method in effect sets a default boost for the fields of this document.

  See Also:
    `Field.setBoost(float)`

### getBoost

    public float getBoost()

  Returns the boost factor for hits on any field of this document.

  The default value is 1.0.

  Note: This value is not stored directly with the document in the index. Documents returned from `IndexReader.document(int)` and `Hits.doc(int)` may thus not have the same value present as when this document was indexed.

  See Also:
    `setBoost(float)`

### add

    public final void add(Field field)

  Adds a field to a document. Several fields may be added with the same name. In this case, if the fields are indexed, their text is treated as though appended for the purposes of search.

  Note that add like the removeField(s) methods only makes sense prior to adding a document to an index. These methods cannot be used to change the content of an existing index! In order to achieve this, a document has to be deleted from an index and a new changed version of that document has to be added.

### removeField

    public final void removeField(String name)

  Removes field with the specified name from the document. If multiple fields exist with this name, this method removes the first field that has been added. If there is no field with the specified name, the document remains unchanged.

  Note that the removeField(s) methods like the add method only make sense prior to adding a document to an index. These methods cannot be used to change the content of an existing index! In order to achieve this, a document has to be deleted from an index and a new changed version of that document has to be added.

### removeFields

    public final void removeFields(String name)

  Removes all fields with the given name from the document. If there is no field with the specified name, the document remains unchanged.

  Note that the removeField(s) methods like the add method only make sense prior to adding a document to an index. These methods cannot be used to change the content of an existing index! In order to achieve this, a document has to be deleted from an index and a new changed version of that document has to be added.

### getField

    public final Field getField(String name)

  Returns a field with the given name if any exist in this document, or null. If multiple fields exists with this name, this method returns the first value added.

### get

    public final String get(String name)

  Returns the string value of the field with the given name if any exist in this document, or null. If multiple fields exist with this name, this method returns the first value added.

### fields

    public final Enumeration fields()

  Returns an Enumeration of all the fields in a document.

### getFields

    public final Field[] getFields(String name)

  Returns an array of `Field`s with the given name. This method can return `null`.

  Parameters:
    `name` - the name of the field
  Returns:
    a `Field[]` array

### getValues

    public final String[] getValues(String name)

  Returns an array of values of the field specified as the method parameter. This method can return `null`.

  Parameters:
    `name` - the name of the field
  Returns:
    a `String[]` of field values

### toString

    public final String toString()

  Prints the fields of a document for human consumption.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.